// /qt/qml/org/kde/neochat/timeline/SpacerDelegate.qml
#include <QtQml/qqmlprivate.h>
#include <QtCore/qhash.h>
#include <QtCore/qalgorithms.h>
#include <QtCore/qdatetime.h>
#include <QtCore/qobject.h>
#include <QtCore/qrandom.h>
#include <QtCore/qstring.h>
#include <QtCore/qstringlist.h>
#include <QtCore/qtimezone.h>
#include <QtCore/qurl.h>
#include <QtCore/qvariant.h>
#include <QtQml/qjsengine.h>
#include <QtQml/qjsprimitivevalue.h>
#include <QtQml/qjsvalue.h>
#include <QtQml/qqmlcomponent.h>
#include <QtQml/qqmlcontext.h>
#include <QtQml/qqmlengine.h>
#include <QtQml/qqmllist.h>
#include <cmath>
#include <limits>
#include <type_traits>

namespace QmlCacheGeneratedCode {
namespace _qt_qml_org_kde_neochat_timeline_SpacerDelegate_qml {
QQmlPrivate::AOTLookupValidation::LookupSignatures expectedLookupSignatures()
{
    using namespace Qt::StringLiterals;
    using namespace QQmlPrivate::AOTLookupValidation;
    return {
        { Lookup{ Type{ u""_s, u"Kirigami::Platform::PlatformTheme"_s, u""_s, IsComposite::No, IsIC::No }, u"defaultFont"_s, u""_s }, PropertySignature{ Type{ u""_s, u"QFont"_s, u"QQuickFontValueType"_s, IsComposite::No, IsIC::No }, 24 } },
        { Lookup{ Type{ u""_s, u"Kirigami::Platform::Settings"_s, u""_s, IsComposite::No, IsIC::No }, u"isMobile"_s, u""_s }, PropertySignature{ Type{ u""_s, u"bool"_s, u""_s, IsComposite::No, IsIC::No }, 1 } },
        { Lookup{ Type{ u""_s, u"Kirigami::Platform::Units"_s, u""_s, IsComposite::No, IsIC::No }, u"largeSpacing"_s, u""_s }, PropertySignature{ Type{ u""_s, u"int"_s, u""_s, IsComposite::No, IsIC::No }, 4 } },
        { Lookup{ Type{ u""_s, u"QQuickFontValueType"_s, u""_s, IsComposite::No, IsIC::No }, u"pointSize"_s, u""_s }, PropertySignature{ Type{ u""_s, u"double"_s, u""_s, IsComposite::No, IsIC::No }, 8 } },
        { Lookup{ Type{ u""_s, u"QQuickItem"_s, u""_s, IsComposite::No, IsIC::No }, u"width"_s, u""_s }, PropertySignature{ Type{ u""_s, u"double"_s, u""_s, IsComposite::No, IsIC::No }, 7 } },
        { Lookup{ Type{ u"##THIS_CU_MODULE##"_s, u"##THIS_CU_TYPE##"_s, u""_s, IsComposite::Yes, IsIC::No }, u"parent"_s, u""_s }, PropertySignature{ Type{ u""_s, u"QQuickItem"_s, u""_s, IsComposite::No, IsIC::No }, 0 } },
    };
}

bool validateLookupSignatures(QQmlEngine *engine, QV4::CompiledData::CompilationUnit *cu)
{
    enum ValidationState { Pending, Failed, Succeeded };
    static ValidationState state = Pending;
    if (state == Failed)
        return false;
    if (state == Succeeded)
        return true;
    const auto &expectedSignatures = expectedLookupSignatures();
    for (const auto &[lookup, expectedSignature] : expectedSignatures.asKeyValueRange()) {
        if (!QQmlPrivate::AOTLookupValidation::validateLookupSignature(engine, cu, lookup, expectedSignature)) {
            state = Failed;
            return false;
        }
    }
    state = Succeeded;
    return true;
}

extern const unsigned char qmlData alignas(16) [];
extern const unsigned char qmlData alignas(16) [] = {

0x71,0x76,0x34,0x63,0x64,0x61,0x74,0x61,
0x4f,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0xf4,0x4,0x0,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x7,0x5a,0x68,0xb3,
0x76,0x96,0xe0,0x25,0x4,0x88,0x3f,0xcf,
0x75,0xea,0xa6,0xab,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x23,0x0,0x0,0x0,
0x13,0x0,0x0,0x0,0x8,0x2,0x0,0x0,
0x2,0x0,0x0,0x0,0xd8,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0xe0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0xe0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0xe0,0x0,0x0,0x0,
0x11,0x0,0x0,0x0,0xe0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x24,0x1,0x0,0x0,
0x0,0x0,0x0,0x0,0x30,0x1,0x0,0x0,
0x0,0x0,0x0,0x0,0x30,0x1,0x0,0x0,
0x0,0x0,0x0,0x0,0x30,0x1,0x0,0x0,
0x0,0x0,0x0,0x0,0x30,0x1,0x0,0x0,
0x0,0x0,0x0,0x0,0x30,0x1,0x0,0x0,
0x0,0x0,0x0,0x0,0x30,0x1,0x0,0x0,
0x0,0x0,0x0,0x0,0x30,0x1,0x0,0x0,
0x0,0x0,0x0,0x0,0x30,0x1,0x0,0x0,
0xff,0xff,0xff,0xff,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x30,0x4,0x0,0x0,
0x30,0x1,0x0,0x0,0x88,0x1,0x0,0x0,
0x93,0x0,0x0,0x0,0x50,0x0,0x0,0x0,
0x23,0x0,0x0,0x0,0xa0,0x0,0x0,0x0,
0xb0,0x0,0x0,0x0,0x23,0x0,0x0,0x0,
0xc0,0x0,0x0,0x0,0xd0,0x0,0x0,0x0,
0xe3,0x0,0x0,0x0,0x23,0x0,0x0,0x0,
0x0,0x1,0x0,0x0,0x10,0x1,0x0,0x0,
0x20,0x1,0x0,0x0,0xf4,0x0,0x0,0x0,
0x23,0x0,0x0,0x0,0xc0,0x0,0x0,0x0,
0xd0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x44,0x0,0x0,0x0,0xd,0x0,0x0,0x0,
0x6,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x38,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x38,0x0,0x0,0x0,0x0,0x0,0x1,0x0,
0xff,0xff,0xff,0xff,0x8,0x0,0x0,0x0,
0x9,0x0,0x50,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x7,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x9,0x0,0x0,0x0,
0x1,0x0,0x0,0x0,0x2e,0x0,0x18,0x7,
0x3e,0x1,0x2,0x4c,0x1,0xe,0x18,0x6,
0x2,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x44,0x0,0x0,0x0,0x36,0x0,0x0,0x0,
0x8,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x38,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x38,0x0,0x0,0x0,0x0,0x0,0x1,0x0,
0xff,0xff,0xff,0xff,0xd,0x0,0x0,0x0,
0xb,0x0,0x50,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x7,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0xb,0x0,0x0,0x0,
0x1,0x0,0x0,0x0,0x2e,0x2,0x3c,0x3,
0x3c,0x4,0x50,0x25,0x2e,0x5,0x3c,0x6,
0x3c,0x7,0x18,0x7,0x2e,0x8,0x18,0x8,
0x2e,0x9,0x3c,0xa,0x3c,0xb,0x3c,0xc,
0x18,0xc,0x10,0x2,0x9c,0xc,0x18,0xb,
0xac,0xd,0x8,0x1,0xb,0x80,0x7,0x4c,
0x6,0x2e,0xe,0x3c,0xf,0x3c,0x10,0x18,
0x6,0x2,0x0,0x0,0x0,0x0,0x0,0x0,
0x58,0x2,0x0,0x0,0x60,0x2,0x0,0x0,
0x78,0x2,0x0,0x0,0x90,0x2,0x0,0x0,
0xb8,0x2,0x0,0x0,0xc8,0x2,0x0,0x0,
0xd8,0x2,0x0,0x0,0x8,0x3,0x0,0x0,
0x20,0x3,0x0,0x0,0x50,0x3,0x0,0x0,
0x68,0x3,0x0,0x0,0x80,0x3,0x0,0x0,
0x98,0x3,0x0,0x0,0xa8,0x3,0x0,0x0,
0xc8,0x3,0x0,0x0,0xd8,0x3,0x0,0x0,
0xe8,0x3,0x0,0x0,0xf8,0x3,0x0,0x0,
0x18,0x4,0x0,0x0,0x0,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x7,0x0,0x0,0x0,0x51,0x0,0x74,0x0,
0x51,0x0,0x75,0x0,0x69,0x0,0x63,0x0,
0x6b,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x8,0x0,0x0,0x0,0x4b,0x0,0x69,0x0,
0x72,0x0,0x69,0x0,0x67,0x0,0x61,0x0,
0x6d,0x0,0x69,0x0,0x0,0x0,0x0,0x0,
0x10,0x0,0x0,0x0,0x6f,0x0,0x72,0x0,
0x67,0x0,0x2e,0x0,0x6b,0x0,0x64,0x0,
0x65,0x0,0x2e,0x0,0x6b,0x0,0x69,0x0,
0x72,0x0,0x69,0x0,0x67,0x0,0x61,0x0,
0x6d,0x0,0x69,0x0,0x0,0x0,0x0,0x0,
0x4,0x0,0x0,0x0,0x49,0x0,0x74,0x0,
0x65,0x0,0x6d,0x0,0x0,0x0,0x0,0x0,
0x5,0x0,0x0,0x0,0x77,0x0,0x69,0x0,
0x64,0x0,0x74,0x0,0x68,0x0,0x0,0x0,
0x14,0x0,0x0,0x0,0x65,0x0,0x78,0x0,
0x70,0x0,0x72,0x0,0x65,0x0,0x73,0x0,
0x73,0x0,0x69,0x0,0x6f,0x0,0x6e,0x0,
0x20,0x0,0x66,0x0,0x6f,0x0,0x72,0x0,
0x20,0x0,0x77,0x0,0x69,0x0,0x64,0x0,
0x74,0x0,0x68,0x0,0x0,0x0,0x0,0x0,
0x6,0x0,0x0,0x0,0x68,0x0,0x65,0x0,
0x69,0x0,0x67,0x0,0x68,0x0,0x74,0x0,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x15,0x0,0x0,0x0,0x65,0x0,0x78,0x0,
0x70,0x0,0x72,0x0,0x65,0x0,0x73,0x0,
0x73,0x0,0x69,0x0,0x6f,0x0,0x6e,0x0,
0x20,0x0,0x66,0x0,0x6f,0x0,0x72,0x0,
0x20,0x0,0x68,0x0,0x65,0x0,0x69,0x0,
0x67,0x0,0x68,0x0,0x74,0x0,0x0,0x0,
0x6,0x0,0x0,0x0,0x70,0x0,0x61,0x0,
0x72,0x0,0x65,0x0,0x6e,0x0,0x74,0x0,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x8,0x0,0x0,0x0,0x53,0x0,0x65,0x0,
0x74,0x0,0x74,0x0,0x69,0x0,0x6e,0x0,
0x67,0x0,0x73,0x0,0x0,0x0,0x0,0x0,
0x8,0x0,0x0,0x0,0x69,0x0,0x73,0x0,
0x4d,0x0,0x6f,0x0,0x62,0x0,0x69,0x0,
0x6c,0x0,0x65,0x0,0x0,0x0,0x0,0x0,
0x5,0x0,0x0,0x0,0x55,0x0,0x6e,0x0,
0x69,0x0,0x74,0x0,0x73,0x0,0x0,0x0,
0xc,0x0,0x0,0x0,0x6c,0x0,0x61,0x0,
0x72,0x0,0x67,0x0,0x65,0x0,0x53,0x0,
0x70,0x0,0x61,0x0,0x63,0x0,0x69,0x0,
0x6e,0x0,0x67,0x0,0x0,0x0,0x0,0x0,
0x4,0x0,0x0,0x0,0x4d,0x0,0x61,0x0,
0x74,0x0,0x68,0x0,0x0,0x0,0x0,0x0,
0x5,0x0,0x0,0x0,0x72,0x0,0x6f,0x0,
0x75,0x0,0x6e,0x0,0x64,0x0,0x0,0x0,
0x5,0x0,0x0,0x0,0x54,0x0,0x68,0x0,
0x65,0x0,0x6d,0x0,0x65,0x0,0x0,0x0,
0xb,0x0,0x0,0x0,0x64,0x0,0x65,0x0,
0x66,0x0,0x61,0x0,0x75,0x0,0x6c,0x0,
0x74,0x0,0x46,0x0,0x6f,0x0,0x6e,0x0,
0x74,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x9,0x0,0x0,0x0,0x70,0x0,0x6f,0x0,
0x69,0x0,0x6e,0x0,0x74,0x0,0x53,0x0,
0x69,0x0,0x7a,0x0,0x65,0x0,0x0,0x0,
0x2,0x0,0x0,0x0,0x10,0x0,0x0,0x0,
0x1,0x0,0x0,0x0,0x38,0x0,0x0,0x0,
0x1,0x0,0x0,0x0,0x1,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x4,0x0,0x10,0x0,
0xff,0xff,0x0,0x0,0x1,0x0,0x0,0x0,
0x3,0x0,0x0,0x0,0x2,0x0,0x0,0x0,
0x6,0x0,0x10,0x0,0xff,0xff,0x0,0x0,
0x3c,0x0,0x0,0x0,0x4,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x0,0x0,0xff,0xff,
0xff,0xff,0xff,0xff,0x0,0x0,0x0,0x0,
0x54,0x0,0x0,0x0,0x54,0x0,0x0,0x0,
0x54,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x54,0x0,0x0,0x0,0x54,0x0,0x0,0x0,
0x0,0x0,0x2,0x0,0x54,0x0,0x0,0x0,
0x0,0x0,0x0,0x0,0x84,0x0,0x0,0x0,
0x8,0x0,0x10,0x0,0x0,0x0,0x0,0x0,
0x84,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x84,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x7,0x0,0x0,0x0,0x0,0x0,0x7,0x0,
0x1,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0xb,0x0,0x50,0x0,0xb,0x0,0xd0,0x0,
0x5,0x0,0x0,0x0,0x0,0x0,0x7,0x0,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
0x9,0x0,0x50,0x0,0x9,0x0,0xc0,0x0,
0x0,0x0,0x0,0x0
};
extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[] = {
{ 0, 0, [](QV4::ExecutableCompilationUnit *contextUnit, QMetaType *argTypes) {
    struct { QV4::ExecutableCompilationUnit *compilationUnit; } c { contextUnit };
    const auto *aotContext = &c;
    Q_UNUSED(aotContext);
    argTypes[0] = QMetaType::fromType<double>();
}, 
    [](const QQmlPrivate::AOTCompiledContext *aotContext, void **argv) {
Q_UNUSED(aotContext)
Q_UNUSED(argv)
// expression for width at line 9, column 5
struct Storage : QQmlPrivate::AOTTrackedLocalsStorage {
Storage(const QQmlPrivate::AOTCompiledContext *ctxt, void **a)   : aotContext(ctxt), argv(a) {}
void markObjects(QV4::MarkStack *markStack) const final {    Q_UNUSED(markStack);
    aotContext->mark(v2_0, markStack);
}
const QQmlPrivate::AOTCompiledContext *aotContext;
void **argv;
QJSPrimitiveValue c2_10;
QJSPrimitiveValue v2_4;
QJSPrimitiveValue v2_9;
QObject *v2_0 = nullptr;
};
Storage s(aotContext, argv);
aotContext->setLocals(&s);
// generate_LoadQmlContextPropertyLookup
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(2);
#endif
while (!aotContext->loadScopeObjectPropertyLookup(0, &s.v2_0)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(2);
#endif
aotContext->initLoadScopeObjectPropertyLookup(0);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
{
}
{
}
// generate_GetOptionalLookup
if (!s.v2_0)
{
    goto label_0;
}
{
double retrieved;
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(7);
#endif
while (!aotContext->getObjectLookup(1, s.v2_0, &retrieved)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(7);
#endif
aotContext->initGetObjectLookup(1, s.v2_0);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
s.v2_4 = QJSPrimitiveValue(std::move(retrieved));
}
{
}
// generate_Jump
{
s.c2_10 = s.v2_4;
    goto label_1;
}
label_0:;
// generate_LoadUndefined
s.v2_9 = QJSPrimitiveValue();
{
s.c2_10 = s.v2_9;
}
label_1:;
{
}
// generate_Ret
if (argv[0]) {
    if (s.c2_10.type() == QJSPrimitiveValue::Undefined)
        aotContext->setReturnValueUndefined();
    *static_cast<double *>(argv[0]) = double(std::move(s.c2_10).to<QJSPrimitiveValue::Double>().toDouble());
}
return;
}
 },{ 1, 0, [](QV4::ExecutableCompilationUnit *contextUnit, QMetaType *argTypes) {
    struct { QV4::ExecutableCompilationUnit *compilationUnit; } c { contextUnit };
    const auto *aotContext = &c;
    Q_UNUSED(aotContext);
    argTypes[0] = QMetaType::fromType<double>();
}, 
    [](const QQmlPrivate::AOTCompiledContext *aotContext, void **argv) {
Q_UNUSED(aotContext)
Q_UNUSED(argv)
// expression for height at line 11, column 5
struct Storage : QQmlPrivate::AOTTrackedLocalsStorage {
Storage(const QQmlPrivate::AOTCompiledContext *ctxt, void **a)   : aotContext(ctxt), argv(a) {}
void markObjects(QV4::MarkStack *markStack) const final {    Q_UNUSED(markStack);
    aotContext->mark(v2_10, markStack);
    aotContext->mark(v2_2, markStack);
    aotContext->mark(v2_22, markStack);
    aotContext->mark(v2_24, markStack);
    aotContext->mark(v2_47, markStack);
}
const QQmlPrivate::AOTCompiledContext *aotContext;
void **argv;
QObject *v2_10 = nullptr;
QObject *v2_2 = nullptr;
QObject *v2_22 = nullptr;
QObject *v2_47 = nullptr;
QVariant v2_24;
bool v2_4;
double c2_51;
double v2_12_v7_14;
double v2_26_v12_28;
double v2_30;
double v2_32_v11_34;
double v2_36;
double v2_41;
double v2_49;
};
Storage s(aotContext, argv);
aotContext->setLocals(&s);
{
}
// generate_GetLookup
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(4);
#endif
while (!aotContext->loadSingletonLookup(3, &s.v2_2)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(4);
#endif
aotContext->initLoadSingletonLookup(3, 2);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
{
}
// generate_GetLookup
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(6);
#endif
while (!aotContext->getObjectLookup(4, s.v2_2, &s.v2_4)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(6);
#endif
aotContext->initGetObjectLookup(4, s.v2_2);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
{
}
// generate_JumpFalse
if (!s.v2_4) {
    goto label_0;
}
{
}
{
}
// generate_GetLookup
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(12);
#endif
while (!aotContext->loadSingletonLookup(6, &s.v2_10)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(12);
#endif
aotContext->initLoadSingletonLookup(6, 2);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
{
}
// generate_GetLookup
{
int retrieved;
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(14);
#endif
while (!aotContext->getObjectLookup(7, s.v2_10, &retrieved)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(14);
#endif
aotContext->initGetObjectLookup(7, s.v2_10);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
s.v2_12_v7_14 = double(std::move(retrieved));
}
{
}
// generate_StoreReg
{
}
{
}
{
}
{
}
// generate_GetLookup
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(24);
#endif
while (!aotContext->loadAttachedLookup(10, aotContext->qmlScopeObject, &s.v2_22)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(24);
#endif
aotContext->initLoadAttachedLookup(10, 2, aotContext->qmlScopeObject);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
{
}
// generate_GetLookup
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(26);
#endif
s.v2_24 = QVariant(aotContext->lookupResultMetaType(11));
while (!aotContext->getObjectLookup(11, s.v2_22, s.v2_24.data())) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(26);
#endif
aotContext->initGetObjectLookup(11, s.v2_22);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
s.v2_24 = QVariant(aotContext->lookupResultMetaType(11));
}
{
}
// generate_GetLookup
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(28);
#endif
while (!aotContext->getValueLookup(12, s.v2_24.data(), &s.v2_26_v12_28)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(28);
#endif
aotContext->initGetValueLookup(12, []() { static const auto t = QMetaType::fromName("QQuickFontValueType"); return t; }().metaObject());
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
{
}
// generate_StoreReg
{
}
// generate_LoadInt
s.v2_30 = double(2);
{
}
// generate_Mul
s.v2_32_v11_34 = (s.v2_26_v12_28 * s.v2_30);
{
}
// generate_StoreReg
{
}
// generate_CallPropertyLookup
{
const double arg1 = s.v2_32_v11_34;
s.v2_36 = std::isfinite(arg1) ? ((arg1 < 0.5 && arg1 >= -0.5) ? std::copysign(0.0, arg1) : std::floor(arg1 + 0.5)) : arg1;
}
{
}
// generate_Add
s.v2_41 = (s.v2_12_v7_14 + s.v2_36);
{
}
// generate_Jump
{
s.c2_51 = s.v2_41;
    goto label_1;
}
label_0:;
{
}
// generate_GetLookup
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(49);
#endif
while (!aotContext->loadSingletonLookup(15, &s.v2_47)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(49);
#endif
aotContext->initLoadSingletonLookup(15, 2);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
{
}
// generate_GetLookup
{
int retrieved;
#ifndef QT_NO_DEBUG
aotContext->setInstructionPointer(51);
#endif
while (!aotContext->getObjectLookup(16, s.v2_47, &retrieved)) {
#ifdef QT_NO_DEBUG
aotContext->setInstructionPointer(51);
#endif
aotContext->initGetObjectLookup(16, s.v2_47);
if (aotContext->engine->hasError()) {
aotContext->setReturnValueUndefined();
if (argv[0]) {
    *static_cast<double *>(argv[0]) = double();
}
return;
}
}
s.v2_49 = double(std::move(retrieved));
}
{
s.c2_51 = s.v2_49;
}
label_1:;
{
}
// generate_Ret
if (argv[0]) {
    *static_cast<double *>(argv[0]) = s.c2_51;
}
return;
}
 },{ 0, 0, nullptr, nullptr }};
}
}
